#include <iostream>

using namespace std;

int Resenje()
{
    int x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2 ;
    
    if ( x1 == x2 || y1 == y2 ) { return 2 ; }
    else
    {
        if ( abs(x1-x2) == abs(y1-y2)) { return 1;}
        else { return 0; }
    }
}

int main()
{
    cout << Resenje();

    return 0;
}